Subject: Re: Apple IIc power supply brick questions
From: [email-masked] (David Empson)
Date: Sun, 2 May 1999 03:06:28 +1200
Newsgroups: comp.sys.apple2

Keith Parker <[email-masked]> wrote:

> It's been a while since I've looked at one, but this is what I 
> remember:
> 
> 1. There's a transformer, 4 diodes, and a few capacitors.  As far as
> I know, this would fall under "not a switching power supply".

Not unless there was (at a minimum) a small IC associated with the
capacitors, and a coil somewhere.

It sounds like the first three parts of a simple linear power supply:
transformer, rectifier and filter.  (The fourth stage is the regulator.)

The IIc expects an unregulated DC power source in the range 9V to 20V,
so a linear supply as described would be quite sufficient.

The internal power converter is probably switch-mode.

-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand